JOIN(1)

NAVN
join - join lines of two files on a common field

OVERSIKT
join [VALG]... FIL1 FIL2

BESKRIVELSE

Skriv ut en linje til standardutdata for hvert par inndatalinjer med identiske sammenføyningsfelt. Første felt er standard, adskilt med blanktegn.

Hvis hvis FIL1 eller FIL2 (ikke begge) er «-», leser programmet standard inndata.

-a FILNUM
    Skriv også ut ikke-kombinerbare linjer fra fila FILNUM, der FILNUM er 1 or 2 og samsvarer med FIL1 eller FIL2.

-e STRING
    replace missing (empty) input fields with STRING; I.e., missing fields specified with '-12jo' options

-i, --ignore-case
    Ignorer forskjell på store og små bokstaver når felter sammenliknes.

-j FELT
    Tilsvarer «-1 FELT -2 FELT».

-o FORMAT
    Bruk FORMAT ved oppbygging av utskriftslinje.

-t TEGN
    Bruk TEGN som skilletegn mellom inn- og utskriftsfelt.

-v FILNUM
    Likner «-a FILNUM», men tar ikke med sammenføyde utskriftslinjer.

-1 FELT
    Sammenføyning på dette feltet i fil 1.

-2 FELT
    Sammenføyning på dette feltet i fil 1.

--check-order
    Sjekker om inndata er korrekt sortert, selv om alle inndatalinjer kan pares.

--nocheck-order
    Sjekker ikke om inndata er korrekt sortert.

--header
    Behandle første linje i hver fil som felthoder, og ikke forsøk å sammenkoble dem når de skrives ut.

-z, --zero-terminated
    Skill mellom linjer med NUL i stedet for linjeskift.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Skillende felt i form av tomrom blir ignorert, med mindre du bruker -t TEGN. I sistnevnte tilfelle skilles felt fra hverandre med TEGN. Alle FELT har et nummer, og telles fra 1. FORMAT er én eller flere spesifikasjoner, adskilt med komma eller mellomrom. Hver av dem skal være enten 'FILNUM.FELT', eller '0'. Standard-FORMAT skriver ut sammenføyningsfeltet, gjenstående felter i fil FIL1, og gjenstående felter i FIL2. Disse holdes adskilt med TEGN. Hvis FORMAT er nøkkelordet «auto», avgjøres antall felt per linje av første linje i hver FIL.

Merk: FIL1 og FIL2 må sorteres i sammenføyningsfeltene. Bruk f.eks. «sort -k 1b,1» hvis «join» ikke har noen valg, eller «join -t ”» hvis «sort» ikke har noen valg. Sammenlikninger gjøres i henhold til regler som angis av «LC_COLLATE». Hvis datakilden is er sortert, og enkelte linjer ikke kan sammenføyes, gir programmet en advarsel.

OPPHAVSMANN
Skrevet av Mike Haertel.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
comm(1), uniq(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/join>
eller lokalt: info '(coreutils) join invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.